# Generated by Django 4.2.5 on 2023-11-23 10:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0033_invoicetransaction_payment_wallet_wallettransaction_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='bankaccount',
            name='company',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='app.company'),
        ),
        migrations.AddField(
            model_name='bankaccount',
            name='company_name',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='bankaccount',
            name='country',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='app.country'),
        ),
        migrations.AddField(
            model_name='bankaccount',
            name='first_name',
            field=models.CharField(blank=True, max_length=150, null=True),
        ),
        migrations.AddField(
            model_name='bankaccount',
            name='last_name',
            field=models.CharField(blank=True, max_length=150, null=True),
        ),
        migrations.AddField(
            model_name='invoicetransaction',
            name='description',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='payment',
            name='expected_amount',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='payment',
            name='gateway_reference',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='payment',
            name='payer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='app.company'),
        ),
        migrations.AddField(
            model_name='user',
            name='seen_walkthrough',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='wallet',
            name='currency',
            field=models.CharField(default='USD', max_length=10),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='wallettransaction',
            name='available_balance_after',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='wallettransaction',
            name='available_balance_before',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='wallettransaction',
            name='total_balance_after',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='wallettransaction',
            name='total_balance_before',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='bankaccount',
            name='currency',
            field=models.CharField(default='USD', max_length=3),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='buyer_amount',
            field=models.DecimalField(decimal_places=2, default=0, help_text='This is the amount that will be paid back by the Buyer', max_digits=30),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='financier_amount',
            field=models.DecimalField(decimal_places=2, default=0, help_text='This is the amount paid by Financier', max_digits=30),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='interest',
            field=models.DecimalField(decimal_places=2, default=0, help_text='This is the amount that goes to the Financier as interest/profit', max_digits=30),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='liquify_fee',
            field=models.DecimalField(decimal_places=2, default=0, help_text='This is the platform fee taken for this invoice. Its value is gotten from Config.', max_digits=30),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='seller_amount',
            field=models.DecimalField(decimal_places=2, default=0, help_text='This is the amount that is sent to SME', max_digits=30),
        ),
        migrations.AlterField(
            model_name='payment',
            name='amount',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
        ),
        migrations.AlterField(
            model_name='payment',
            name='fees',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
        ),
        migrations.AlterField(
            model_name='payment',
            name='status',
            field=models.CharField(choices=[('F', 'Failed'), ('S', 'Successful'), ('P', 'Pending'), ('R', 'Reversed'), ('I', 'Incomplete')], default='P', max_length=30),
        ),
        migrations.AlterField(
            model_name='payment',
            name='total',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=30),
        ),
        migrations.AlterField(
            model_name='wallet',
            name='company',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='wallets', to='app.company'),
        ),
        migrations.AlterField(
            model_name='wallettransaction',
            name='reference',
            field=models.CharField(editable=False, max_length=255),
        ),
        migrations.CreateModel(
            name='Withdrawal',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('deleted_by_id', models.UUIDField(blank=True, editable=False, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, editable=False, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('source_amount', models.DecimalField(decimal_places=2, max_digits=30)),
                ('destination_amount', models.DecimalField(decimal_places=2, max_digits=30)),
                ('has_fx', models.BooleanField(default=False)),
                ('reason', models.CharField(max_length=150)),
                ('status', models.CharField(choices=[('F', 'Failed'), ('S', 'Successful'), ('P', 'Pending'), ('R', 'Reversed'), ('I', 'Incomplete')], default='P', max_length=5)),
                ('reference', models.CharField(max_length=100)),
                ('gateway_reference', models.CharField(blank=True, max_length=100, null=True)),
                ('gateway', models.CharField(blank=True, choices=[('1', 'Verto')], max_length=30, null=True)),
                ('gateway_response', models.TextField(blank=True, null=True)),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='withdrawals', to='app.bankaccount')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('wallet', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='withdrawals', to='app.wallet')),
            ],
            options={
                'ordering': ('-created_at',),
                'abstract': False,
            },
        ),
    ]
